@import url('https://fonts.googleapis.com/css?family=Montserrat:400,500,600,700|Poppins:400,500&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  user-select: none;
}

.bg-img {
  background: url('bg.jpg');
  height: 100vh;
  background-size: cover;
  background-position: center;
}

.bg-img:after {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background: rgba(0, 0, 0, 0.8);
}

.content {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 999;
  text-align: center;
  padding: 60px 32px;
  width: 560px;
  transform: translate(-50%, -50%);
  background: rgba(255, 255, 255, 0.04);
  box-shadow: -1px 4px 28px 0px rgba(0, 0, 0, 0.75);
}

.content header {
  color: white;
  font-size: 33px;
  font-weight: 600;
  margin: 0 0 35px 0;
  font-family: 'Montserrat', sans-serif;
}

.field {
  position: relative;
  height: 45px;
  width: 100%;
  display: flex;
  background: rgba(255, 255, 255, 0.94);
}

.field span {
  color: #222;
  width: 40px;
  line-height: 45px;
}

.field input {
  height: 100%;
  width: 100%;
  background: transparent;
  border: none;
  outline: none;
  color: #222;
  font-size: 16px;
  font-family: 'Poppins', sans-serif;
}

.space {
  margin-top: 16px;
}

.show {
  position: absolute;
  right: 13px;
  font-size: 13px;
  font-weight: 700;
  color: #222;
  display: none;
  cursor: pointer;
  font-family: 'Montserrat', sans-serif;
}

.pass-key:valid~.show {
  display: block;
}

.pass {
  text-align: left;
  margin: 10px 0;
}

.pass a {
  color: white;
  text-decoration: none;
  font-family: 'Poppins', sans-serif;
}

.pass:hover a {
  text-decoration: underline;
}

.field input[type="submit"] {
  background: #3498db;
  border: 1px solid #2691d9;
  color: white;
  font-size: 18px;
  letter-spacing: 1px;
  font-weight: 600;
  cursor: pointer;
  font-family: 'Montserrat', sans-serif;
}

.field input[type="submit"]:hover {
  background: #2691d9;
}

.login {
  color: white;
  margin: 20px 0;
  font-family: 'Poppins', sans-serif;
}

/* CSS untuk modal */
.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.4);
  color: #2C3C50;
  font-family: 'Montserrat', sans-serif;


}

.modal-content {
  background-color: #fefefe;
  background: linear-gradient(rgba(254, 254, 254, 0.3), rgba(254, 254, 254, 0.3)), url('grad.png');
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
}

.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}


@media only screen and (max-width: 1000px) {

  /* Style untuk mode mobile */
  .content {
    padding: 90px 50px;
    /* Diperbesar 25% */
    width: calc(80% - 40px);
    /* Ukuran konten diubah menjadi full width */
    max-width: 100%;
    /* Batasi lebar maksimal menjadi full width */
  }

  .content header {
    color: white;
    font-size: 60px;
    font-weight: 600;
    margin: 0 0 35px 0;
    font-family: 'Montserrat', sans-serif;
  }

  .field {
    position: relative;
    height: 90px;
    width: 100%;
    display: flex;
    background: rgba(255, 255, 255, 0.94);
  }

  .field input {
    height: 100%;
    width: 100%;
    background: transparent;
    border: none;
    outline: none;
    color: #222;
    font-size: 30px;
    font-family: 'Poppins', sans-serif;
  }

  .field input[type="submit"] {
    background: #3498db;
    border: 1px solid #2691d9;
    color: white;
    font-size: 28px;
    letter-spacing: 1px;
    font-weight: 600;
    cursor: pointer;
    font-family: 'Montserrat', sans-serif;
  }



}